@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  tabli startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and TABLI_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\bytle-db-sqlite-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-db-oracle-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-db-jdbc-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-db-gen-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-db-csv-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-template-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-db-flow-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-xml-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-db-json-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-web-document-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-db-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-cli-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-fs-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-regexp-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-http-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-log-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-timer-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-crypto-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-os-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-type-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-sftp-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\bytle-command-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\log4j-slf4j-impl-2.13.0.jar;%APP_HOME%\lib\thymeleaf-3.0.12.RELEASE.jar;%APP_HOME%\lib\pebble-3.1.4.jar;%APP_HOME%\lib\slf4j-api-1.7.30.jar;%APP_HOME%\lib\dotenv-java-2.2.0.jar;%APP_HOME%\lib\log4j-core-2.13.0.jar;%APP_HOME%\lib\log4j-api-2.13.0.jar;%APP_HOME%\lib\jgrapht-io-1.4.0.jar;%APP_HOME%\lib\jgrapht-core-1.4.0.jar;%APP_HOME%\lib\ini4j-0.5.4.jar;%APP_HOME%\lib\snakeyaml-1.20.jar;%APP_HOME%\lib\tpch-0.9.jar;%APP_HOME%\lib\tpcds-1.3-SNAPSHOT.jar;%APP_HOME%\lib\airline-0.7.jar;%APP_HOME%\lib\guava-28.1-jre.jar;%APP_HOME%\lib\rgxgen-1.2.jar;%APP_HOME%\lib\icu4j-68.1.jar;%APP_HOME%\lib\xstream-1.4.7.jar;%APP_HOME%\lib\postgresql-42.2.16.jar;%APP_HOME%\lib\commons-csv-1.7.jar;%APP_HOME%\lib\gson-2.8.6.jar;%APP_HOME%\lib\jackson-core-2.10.1.jar;%APP_HOME%\lib\jsoup-1.13.1.jar;%APP_HOME%\lib\cssparser-0.9.29.jar;%APP_HOME%\lib\jsch-0.1.51.jar;%APP_HOME%\lib\sqlite-jdbc-3.30.1.jar;%APP_HOME%\lib\ojdbc8-19.3.0.0.jar;%APP_HOME%\lib\jheaps-0.11.jar;%APP_HOME%\lib\commons-codec-1.9.jar;%APP_HOME%\lib\annotations-2.0.3.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\failureaccess-1.0.1.jar;%APP_HOME%\lib\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\checker-qual-3.5.0.jar;%APP_HOME%\lib\error_prone_annotations-2.3.2.jar;%APP_HOME%\lib\j2objc-annotations-1.3.jar;%APP_HOME%\lib\animal-sniffer-annotations-1.18.jar;%APP_HOME%\lib\antlr4-runtime-4.7.2.jar;%APP_HOME%\lib\commons-text-1.6.jar;%APP_HOME%\lib\xmlpull-1.1.3.1.jar;%APP_HOME%\lib\xpp3_min-1.1.4c.jar;%APP_HOME%\lib\ognl-3.1.26.jar;%APP_HOME%\lib\attoparser-2.0.5.RELEASE.jar;%APP_HOME%\lib\unbescape-1.1.6.RELEASE.jar;%APP_HOME%\lib\sac-1.3.jar;%APP_HOME%\lib\ucp-19.3.0.0.jar;%APP_HOME%\lib\oraclepki-19.3.0.0.jar;%APP_HOME%\lib\osdt_cert-19.3.0.0.jar;%APP_HOME%\lib\osdt_core-19.3.0.0.jar;%APP_HOME%\lib\simplefan-19.3.0.0.jar;%APP_HOME%\lib\ons-19.3.0.0.jar;%APP_HOME%\lib\commons-lang3-3.8.1.jar;%APP_HOME%\lib\javassist-3.20.0-GA.jar;%APP_HOME%\lib\bytle-db-cli.jar


@rem Execute tabli
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %TABLI_OPTS%  -classpath "%CLASSPATH%" net.bytle.db.tabli.Tabli %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable TABLI_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%TABLI_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
